Skip to content

Modify



POST /api/v1/objc_cfg/{objc_name}/modify

Overview

Modify Resource Catalog configuration

Route Parameters

Parameter Name Type Required Description
objc_name string Y Resource Catalog configuration name

Body Request Parameters

Parameter Name Type Required Description
sourceType string Y Source type, default value is custom_object
Allow empty: False
Allowed values: ['object', 'custom_object']
objcGroupUUID string Business group UUID
Allow empty: False
Example: haha
Allow empty string: True
Max length: 64
fields array Custom attribute fields (reported data must contain these fields, otherwise the reported data will be discarded)
Allow empty: False
Example: [{'name': 'ak', 'alias': 'machine gun'}]
templateInfo json Template configuration details
Allow empty: False
Example: {}

Parameter Supplementary Description


fields Parameter Description This parameter stores the bound field information in list form. The list member parameters are as follows

Parameter Name Type Description
name string Field name
alias string Field alias

templateInfo Parameter Description

For detailed structure description, please refer to 【Create Resource Explorer - JSON Configuration - Template Configuration Description】

1. source Parameter Description Defines the resource's classification and the text content to be displayed on the UI page for that classification. The list member parameters are as follows

Parameter Name Type Description
key string Resource Class
name string Resource Class alias

2. filters Parameter Description Defines the default fields to be listed in the quick filter section of the Resource Explorer. The format is as shown below:

"filters":[
  {
    "key":"field name"
  },
  {
    "key":"field name"
  }
]

3. columns Parameter Description Defines the default fields to be listed in the table of the Resource Explorer. The format is as shown below:

"columns":[
  {
    "key":"field name",
  },
  {
    "key":"field name",
  }
]

4. views Parameter Description

Parameter Required Description Example
title / Tab display title "text"
required false Whether the Tab page is not displayed by default. Fixed values: true, false.
  • true: Not displayed by default. Display is determined by matching the keys configuration.
  • false: Displayed by default
"false"
keys / Works in conjunction with the required parameter. Configures key fields and field value matching logic. Displays if matched. Note: When this parameter is applied, the required parameter value must be true.
  • {"key":"*"} : Data satisfies the key field
  • {"key":"value"} : The key field must exist in the data and its value must be value
  • {"key1":"value1","key2":"value2"} : The data must contain the key1 field with value value1 and the key2 field with value value2 combination
timerange default Defines the data query time range for the interface. Basic formats:
  • default: Follows the platform's Time Widget default configuration, usually 15m (i.e., query data from the last 15 minutes)
  • Relative time: Custom relative time range. Time units include m(minutes), h(hours), d(days)
  • Link to the data's time field to configure offset periods ["forward offset","backward offset"]
  • "default" : Last 15 minutes
  • "15m" : Last 15 minutes
  • "1h" : Last 1 hour
  • "1d" : Last 1 day
  • ["15m","15m"] : Offset forward and backward by 15 minutes respectively based on the current data's time field
  • ["5m","30m"] : Offset forward by 5 minutes and backward by 30 minutes based on the current data's time field
viewType / Page type. Currently supports "built-in page" and "built-in view" two types, corresponding to "component" and "dashboard" respectively. /
viewName / Page name. If the page type is a built-in page, fill in the relative path address of the page; if the page type is a built-in view, fill in the view name. Refer to the following 【Associate Built-in Page】【Associate Built-in View】 descriptions. /

5. templateInfo Parameter Example

{
  "main": [
    {
      "class":"custom_object",
      "source": {
        "key":"Resource Class",
        "name":"Resource Class alias"
      },
      "filters":[
        {
          "key":"field name"
        },
        {
          "key":"field name"
        }
      ],
      "table":{
        "columns":[
          {
            "key":"field name",
          },
          {
            "key":"field name",
          }
        ],
      },
      "detail":{
        "views":[
          {
            "title":"Tab title",
            "required":"false",
            "keys":{},
            "view_type": "component",
            "viewName":"built-in page"
          },
          {
            "title":"Tab title",
            "required":"false",
            "keys":{},
            "timerange":"default",
            "view_type": "dashboard",
            "viewName":"built-in view"
          }
        ]
      }
    }
  ],
  "title": "Resource Class or alias"
}

Request Example

curl 'https://openapi.truewatch.com/api/v1/objc_cfg/test/modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"sourceType":"custom_object","objcGroupUUID":"objcg_xxxx","fields":[{"name":"name"}],"templateInfo":{"iconSet":{},"main":[{"class":"custom_object","source":{"key":"test","name":""},"filters":[],"fills":[],"groups":[],"table":{"columns":[],"detail":{"views":[{"keys":{},"viewType":"dashboard","viewName":"NtpQ Monitor View","title":"viewer","required":true,"timerange":"default"}]}}}],"title":"test"}}' \
--compressed

Response

{
    "code": 200,
    "content": {
        "conditions": "{ source =  'kodo-log'  and ( hostname in [ '127.0.0.1' ] )}",
        "createAt": 1677653414,
        "creator": "acnt_xxxx32",
        "deleteAt": -1,
        "desc": "",
        "filters": [
            {
                "condition": "and",
                "name": "hostname",
                "operation": "in",
                "value": [
                    "127.0.0.1"
                ]
            }
        ],
        "id": 24,
        "name": "Rule1",
        "source": "kodo-log",
        "status": 0,
        "type": "logging",
        "updateAt": 1678029845.282458,
        "updator": "xxxx",
        "uuid": "blist_xxxx32",
        "workspaceUUID": "wksp_xxxx32"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-BC365EB4-B4BA-4194-B0BB-B1AC8FA29804"
}